# Append data block

Launch stage: GA

`POST /api/2.0/dbfs/add-block`

Appends a block of data to the stream specified by the input handle. If the handle does not
 exist, this call will throw an exception with ``RESOURCE_DOES_NOT_EXIST``.

 If the block of data exceeds 1 MB, this call will throw an exception with ``MAX_BLOCK_SIZE_EXCEEDED``.

API scopes: files

## Request body

- `data` (string, required)
  The base64-encoded data to append to the stream. This has a limit of 1 MB.
- `handle` (int64, required)
  The handle on an open stream.

## Request

```json
{
  "data": "string",
  "handle": 0
}
```

## Responses

### 200

Request completed successfully.

## Response

```json
{}
```
